import menuData from "@jsonData/menu.json" //动态导入
import menuZj from "@components/common/menu"
import headPortrait from "@views/headPortrait"
export default {
  data () {
    return {
      menuIndex: '1', // 菜单默认选中项
      menu: [], // 菜单数据
    }
  },

  components: {
    menuZj, headPortrait
  },

  mounted () {
    this.getMenu();
  },

  methods: {
    // 获取菜单
    getMenu () {
      this.API.requestData({
        subUrl: "admin/usermenu",
        success (res) {
          console.log("getMenu", res);
        }
      });
      return;
      this.menu = menuData.menu;
      // this.API.get('/powercompare/windfarmAjax').then(res => {
      //   console.log(res)
      //   // if (res.code === 200) {
      //   //   this.eqType = this.BASE.cascaderBugRepair(res.data.result);
      //   // }

      // });
    },
  }
}
